<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1">
	<title>Software Engineering Code of Ethics and Professional Practice</title>

</head>
<body>
	<h4><em>Science and Engineering Ethics (2001) 7, 231-238</em></h4>
	<hr>
	<h1>Software Engineering Code of Ethics and <br>Professional Practice</h3>

	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional <br>Practices</h2>
	<hr>

	<p>
		<strong>Keywords</strong>: code of ethics, professional responsibility, software engineering
	</p>
	<p>
		<strong>PREAMBLE</strong>
	</p>
	<p>
		The short version of the code summarizes aspirations at a high level of abstraction. The clauses that <br>are included in the full version gives examples and details of how these aspirations change the way we <br>act as software engineering professional. Without the aspirations, the details can become legalistic <br>and tedious; the aspirations can become high-sounding but empty; together, the <br>aspirations and details form a cohesive code.
	</p>
	<p>
		Software engineers shall commit themselves to making the analysis, specifications, design, <br>development, testing, and maintenance of software a beneficial and respected profession. In <br>accordance with their commitment to the health, safety, and welfare of the publi, software engineers <br>shall adhere to the following eight Principles:
	</p>

	<p>
		<strong>PRINCIPLES</strong>
	</p>
			<ol>
			<li><em>Public</em>. Software egineers shall act consistently with the public interest</li>
			<li><em>Client and employer</em>. Software engineers shal act in a manner that is inthe best interests of their <br>client and employer, consistent with the public interest.</li>
			<li><em>Public</em>. Software engineers shall ensure that their products and related modifications meet the <br>highest professional standards possible</li>
			<li><em>Judgement</em>. Software engineers shall maintain integrity and independence in their professional <br>judgement.</li>
			<li><em>Management</em>. Software engineering managers and leaders shall subscribe to and promote an <br>ethical approach to the management of software development and maintenance.</li>
			<li><em>Profession</em>. Software engineers shall the integrity and reputation of the profession <br>consistent with the public interest.</li>
			<li><em>Colleagues</em>. Software engineers shall be fair to and supportive of their colleagues.</li>
			<li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of their <br>profession and shall promote an ethical approach to the practice of the profession.</li>
			</ol>
</body>
</html>